For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Logo
Resources
Log inGet a demo
Get startedConnectorsAPI reference
Get startedConnectorsAPI reference
  • Agent Handler
      • GETList connectors
      • GETGet connector

Get started

  • Overview
  • Introduction
  • Unified API
  • Linked Account
  • Merge Link
  • Use cases

Implementation

  • Sandboxes
  • SDKs
  • API access
  • Syncing data
  • Writing data
  • Data minimization
  • Supplemental data
  • Errors
  • Integration metadata

API reference

  • ATS
  • HRIS
  • Accounting
  • Ticketing
  • CRM
  • File Storage
  • Knowledge Base
  • Chat

Resources

  • Help Center
  • Merge.dev
  • Changelog
© Merge 2026Terms of usePrivacy policy
UnifiedAgent HandlerGateway
UnifiedAgent HandlerGateway
Resources
Log inGet a demo
Agent HandlerConnectors

List connectors

GET
https://ah-api.merge.dev/api/v1/connectors/
GET
/api/v1/connectors/
$curl https://ah-api.merge.dev/api/v1/connectors/ \
> -H "Authorization: Bearer <token>"
1{
2 "count": 123,
3 "results": [
4 {
5 "id": "134e0111-0f67-44f6-98f0-597000290bb3",
6 "name": "Linear",
7 "slug": "linear",
8 "description": "A connector to the Linear project management platform",
9 "source_url": "https://linear.app",
10 "logo_url": "https://linear.app/favicon.ico",
11 "categories": [
12 "Project Management"
13 ],
14 "auth_options": [
15 {
16 "type": "Secrets",
17 "secrets": [
18 {
19 "name": "api_key",
20 "human_readable_name": "API key",
21 "prefix": "string",
22 "suffix": "string",
23 "field_type": "TEXT",
24 "options": [
25 {
26 "option_label": "string",
27 "value": "string",
28 "option_default": true
29 }
30 ]
31 }
32 ]
33 },
34 {
35 "type": "OAuth2",
36 "secrets": [
37 {
38 "name": "client_id",
39 "human_readable_name": "Client ID",
40 "prefix": "string",
41 "suffix": "string",
42 "field_type": "TEXT",
43 "options": [
44 {
45 "option_label": "string",
46 "value": "string",
47 "option_default": true
48 }
49 ]
50 },
51 {
52 "name": "client_secret",
53 "human_readable_name": "Client Secret",
54 "prefix": "string",
55 "suffix": "string",
56 "field_type": "TEXT",
57 "options": [
58 {
59 "option_label": "string",
60 "value": "string",
61 "option_default": true
62 }
63 ]
64 }
65 ]
66 }
67 ],
68 "tools": [
69 {
70 "name": "create_issue",
71 "description": "Create a new issue in Linear",
72 "credit_type": "string"
73 },
74 {
75 "name": "list_issues",
76 "description": "List issues in Linear",
77 "credit_type": "string"
78 }
79 ],
80 "source": "git"
81 }
82 ],
83 "next": "https://ah-api.merge.dev/api/v1/connectors/?page=4",
84 "previous": "https://ah-api.merge.dev/api/v1/connectors/?page=2"
85}
Retrieves a list of Connectors
Was this page helpful?
Previous

API overview

Next

Get connector

Authentication

AuthorizationBearer

Token-based authentication with required prefix “Bearer”

Query parameters

pageintegerOptional
A page number within the paginated result set.
page_sizeintegerOptional
Number of results to return per page.

Response

countinteger
resultslist of objects
nextstring or nullformat: "uri"
previousstring or nullformat: "uri"